com.google.gwt.i18n.client

## Class PluralRule.PluralForm

- java.lang.Object
- - com.google.gwt.i18n.client.PluralRule.PluralForm

Enclosing interface:
  PluralRule

    public static class PluralRule.PluralForm
    extends java.lang.Object

Information about the plural forms supported by this rule which will be used during code generation and by tools to provide information to translators.

### Constructor Summary

Constructors
Constructor and Description
`PluralForm(java.lang.String name, java.lang.String description)` Create the plural form.
`PluralForm(java.lang.String name, java.lang.String description, boolean noWarn)` Create the plural form.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getDescription()` Returns the description.
`java.lang.String` `getName()` Returns the name.
`boolean` `getWarnIfMissing()` Returns true if the generator should warn if this plural form is not present.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PluralForm

    public PluralForm(java.lang.String name,
                      java.lang.String description)

Create the plural form.

Parameters:
  `name` -
  `description` -

#### PluralForm

    public PluralForm(java.lang.String name,
                      java.lang.String description,
                      boolean noWarn)

Create the plural form.

Parameters:
  `name` -
  `description` -
  `noWarn` - if true, do not warn if this form is missing from a translation. This is used for those cases where a plural form is defined for a language, but is very rarely used.

### Method Detail

#### getDescription

    public java.lang.String getDescription()

Returns the description.

#### getName

    public java.lang.String getName()

Returns the name.

#### getWarnIfMissing

    public boolean getWarnIfMissing()

Returns true if the generator should warn if this plural form is not present.